Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
holders
/
{holder_id}
/
instruments
/
{instrument_id}
Retrieve Instrument details
curl --request GET \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}
import requests

url = "https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/holders/{holder_id}/instruments/{instrument_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "holderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedAt": "2023-11-07T05:31:56Z",
  "bankingDetails": {
    "account": "<string>",
    "bankId": "<string>",
    "branch": "<string>",
    "closingDate": "2023-12-25",
    "countryCode": "<string>",
    "iban": "<string>",
    "openingDate": "2023-12-25",
    "type": "<string>"
  },
  "document": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "metadata": {},
  "regulatoryFields": {
    "participantDocument": "<string>"
  },
  "relatedParties": [
    {
      "document": "<string>",
      "name": "<string>",
      "role": "<string>",
      "startDate": "2023-12-25",
      "endDate": "2023-12-25",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "type": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Headers

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

holder_id
string
required

Holder ID (UUID)

instrument_id
string
required

Instrument ID (UUID)

Query Parameters

include_deleted
string

Returns the instrument even if it was logically deleted (true,false)

Response

OK

accountId
string<uuid> | null
required
Example:

"00000000-0000-0000-0000-000000000000"

createdAt
string<date-time>
required
Example:

"2025-01-01T00:00:00Z"

deletedAt
string<date-time> | null
required
Example:

"2025-01-01T00:00:00Z"

holderId
string<uuid>
required
Example:

"00000000-0000-0000-0000-000000000000"

ledgerId
string<uuid> | null
required
Example:

"00000000-0000-0000-0000-000000000000"

updatedAt
string<date-time>
required
Example:

"2025-01-01T00:00:00Z"

bankingDetails
object
document
string
Maximum string length: 100
Example:

"91315026015"

id
string<uuid>
Example:

"00000000-0000-0000-0000-000000000000"

metadata
object
regulatoryFields
object
type
string
Maximum string length: 100
Example:

"NATURAL_PERSON"